POSTtx

XRP Ledger Mainnethttps://xrpl-mainnet.nodit.io/

Returns a single transaction by its identifying hash or CTID. It returns the transaction data along with the metadata describing the results.

Request Body
methodstringrequired
transactionstring

The 256-bit hash of the transaction to look up.

ctidstring

The compact transaction identifier of the transaction to look up. Only uppercase hex can be used. It is not supported on Clio v2.0 and earlier.

binaryboolean

Whether to return the transaction and its metadata as hex strings.

min_ledgerinteger

The start index of the ledger range to search. Use it together with max_ledger. The range can span at most 1000 ledger versions.

max_ledgerinteger

The end index of the ledger range to search. Use it together with min_ledger. The range can span at most 1000 ledger versions.

Responses
ctidstring

The compact transaction identifier of the transaction.

close_time_isostring

The time the ledger containing the transaction closed, in ISO 8601 format.

dateinteger

The time the ledger containing the transaction closed, in seconds since the Ripple Epoch.

hashstring

The unique hash that identifies the transaction.

ledger_indexinteger

The ledger index of the ledger containing the transaction.

ledger_hashstring

The hash of the ledger containing the transaction.

metaobject

The metadata describing the results of the transaction. Returned when binary is false.

meta_blobstring

The metadata, hex-encoded. Returned when binary is true.

tx_jsonobject

The transaction data. Returned when binary is false.

tx_blobstring

The transaction, hex-encoded. Returned when binary is true.

validatedboolean

Whether the transaction is included in a validated ledger version.

X-API-KEY
RequestCU15
cURL
curl -X POST "https://xrpl-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "method": "tx",
  "params": [
    {
      "transaction": "E08D6E9754025BA2534A78707605E0601F03ACE063687A0CA1BDDACFCD1698C7",
      "binary": false
    }
  ]
}'
Response
Example · 200
{
  "result": {
    "close_time_iso": "2026-09-02T04:00:00Z",
    "ctid": "C05E2A6800030000",
    "date": 810900000,
    "hash": "E08D6E9754025BA2534A78707605E0601F03ACE063687A0CA1BDDACFCD1698C7",
    "ledger_hash": "17ACB57A0F73B5160713E81FE72B2AC9F6064541004E272BD09F257D57C30C02",
    "ledger_index": 98765000,
    "meta": {
      "TransactionIndex": 3,
      "TransactionResult": "tesSUCCESS",
      "delivered_amount": "1000000"
    },
    "tx_json": {
      "Account": "r9cZA1mLK5R5Am25ArfXFmqgNwjZgnfk59",
      "Amount": "1000000",
      "Destination": "rMwjYedjc7qqtKYVLiAccJSmCwih4LnE2q",
      "Fee": "12",
      "Sequence": 41,
      "SigningPubKey": "032D2471DB0F0F1B0D1E2C3D4E5F60718293A4B5C6D7E8F90A1B2C3D4E5F60718",
      "TransactionType": "Payment",
      "TxnSignature": "3045022100A1B2C3D4E5F60718293A4B5C6D7E8F90A1B2C3D4E5F6071829"
    },
    "validated": true
  }
}